{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":424,"path":"api-reference/rest-api-explorer/r_ControllingMaxRequestSize.md","title":"Controlling maximum request size","bundle":null,"doc_type":null,"release":"australia","body":"\n# Controlling maximum request size\n\nYou can specify the maximum file size allowed in a scripted REST API request payload.\n\nThe file size limit applies when accessing any of the following variables or functions from a RESTAPIRequestBody object.\n\n-   data\n-   dataString\n-   nextEntry\\(\\)\n-   hasNext\\(\\)\n\nAccessing these variables or functions with a request payload that exceeds the maximum size causes the service to respond with error code 400.\n\nThe file size limit does not apply when accessing the dataStream variable.\n\n## Maximum request size properties\n\nSeveral properties control the maximum allowed request size. Add these properties to the System Properties \\[sys\\_properties\\] table to specify a maximum request size.\n\n<table id=\"table_rwj_2m2_ht\"><thead><tr><th>\n\nProperty\n\n</th><th>\n\nDefault value\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nglide.rest.scripted.max\\_inbound\\_content\\_length\\_mb\n\n</td><td>\n\n10\n\n</td><td>\n\nThe maximum size, in megabytes, for a scripted REST request body that is not gzipped.\n\n</td></tr><tr><td>\n\nglide.rest.scripted.max\\_inbound\\_gzip\\_content\\_length\\_mb\n\n</td><td>\n\n1\n\n</td><td>\n\nThe maximum size, in megabytes, for a scripted REST request body that is gzipped.\n\n</td></tr><tr><td>\n\nglide.rest.max\\_content\\_length\n\n</td><td>\n\n10\n\n</td><td>\n\nThe maximum size, in megabytes, for a scripted REST request body, whether or not it is gzipped.\n\n Maximum: 25\n\n As a result, even if **glide.rest.scripted.max\\_inbound\\_content\\_length\\_mb** or **glide.rest.scripted.max\\_inbound\\_gzip\\_content\\_length\\_mb** are set, the request body is limited to the value of **glide.rest.max\\_content\\_length**.\n\n</td></tr></tbody>\n</table>**Parent Topic:**[Create a scripted REST API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/t_CreateAScriptedRESTService.md)\n\n"}}